summaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
authorDave Davenport <qball@gmpclient.org>2016-10-19 13:12:55 +0200
committerDave Davenport <qball@gmpclient.org>2016-10-19 13:12:55 +0200
commita78d0b53fc87ed14854d72638e35c9e7a2a2a6fc (patch)
tree7f83a8fcc5c25faa4298e1e60c0654541406a3c5 /test
parenta7cfc755929bd6c0851c8087177ee3af88cb90d1 (diff)
Add help output compare test.
Diffstat (limited to 'test')
-rwxr-xr-xtest/help_output_test.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/test/help_output_test.sh b/test/help_output_test.sh
new file mode 100755
index 00000000..de8dcd7e
--- /dev/null
+++ b/test/help_output_test.sh
@@ -0,0 +1,13 @@
+#!/usr/bin/env bash
+
+TOP_DIR=$1
+
+rofi -h -config ${TOP_DIR}/doc/test_xr.txt | grep -v "Version"> help-output.txt
+
+if ! diff help-output.txt ${TOP_DIR}/doc/help-output.txt > /dev/null
+then
+ echo "Help output does not match."
+ exit 1;
+fi
+
+exit ${RETV}